role.create
Create a custom role (a named bundle of scopes). Subset-of-issuer applies.
- Scope:
iam.roles.write - System: no
- Reachable from:
POST /v1/commands/role.create(tenant credential) · MCP toolrole.create· SDKclient.call('role.create', …) - Events:
role.created
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "description": { "anyOf": [ { "type": "string" }, { "type": "null" } ] }, "name": { "minLength": 1, "type": "string" }, "scopes": { "default": [], "items": { "minLength": 1, "type": "string" }, "type": "array" } }, "required": [ "name" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "key": { "type": "string" }, "role_id": { "type": "string" } }, "required": [ "role_id", "key" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)